Detach screenshot
curl --request DELETE \
--url https://skycoach.gg/api/shop/marketplace/offers/{offerId}/detach_screenshot \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"screenshot_url": "/storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg"
}
'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/{offerId}/detach_screenshot"
payload = { "screenshot_url": "/storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg" }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
screenshot_url: '/storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg'
})
};
fetch('https://skycoach.gg/api/shop/marketplace/offers/{offerId}/detach_screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "ok",
"screenshots": [
"/storage/uploads/product_currency_offer/screenshot/example.jpg"
]
}{
"screenshot_url": [
"The screenshot url field is required."
]
}{
"message": "Unauthorized"
}{
"message": "Not found"
}Offers
Detach screenshot
Remove a screenshot from an offer by its URL. If all screenshots are removed from an account-type offer, the offer status will be automatically changed to Draft.
DELETE
/
api
/
shop
/
marketplace
/
offers
/
{offerId}
/
detach_screenshot
Detach screenshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Path Parameters
ID of the offer to detach screenshot from
Example:
123849
Body
application/json
URL of the screenshot to remove
Example:
"/storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg"
⌘I